نقطه پایانی API
https://je7.ir/api/v1/links
نمونه درخواست
curl --location --request GET 'https://je7.ir/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
title برای عنوان, alias برای نام مستعار, url برای نشانی. مقدار پیشفرض: title.
status
0 برای همه, 1 برای فعال, 2 برای منقضی شده, 3 برای غیرفعال. مقدار پیشفرض: 0.
space_id
domain_id
pixel_id
sort_by
id برای تاریخ ایجاد, clicks برای کلیکها, title برای عنوان, alias برای نام مستعار, url برای نشانی. مقدار پیشفرض: id.
sort
desc برای نزولی, asc برای صعودی. مقدار پیشفرض: desc.
per_page
10, 25, 50, 100. مقدار پیشفرض: 10.
نقطه پایانی API
https://je7.ir/api/v1/links/{id}
نمونه درخواست
curl --location --request GET 'https://je7.ir/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
نقطه پایانی API
https://je7.ir/api/v1/links
نمونه درخواست
curl --location --request POST 'https://je7.ir/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
Parameters
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 برای خیر, 1 برای بله. مقدار پیشفرض: 0.
privacy
0 برای عمومی, 1 برای خصوصی, 2 برای رمز عبور. مقدار پیشفرض: 0.
password
privacy تنظیم شده بر روی 2 کار میکند.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents برای Continents, countries برای Countries, operating_systems برای Operating systems, browsers برای Browsers, languages برای Languages, devices برای Devices, rotations برای Rotations.
targets[index][key]
برای targets_type=country، مقدار باید به فرمت ISO 3166-1 alpha-2 باشد.
برای targets_type=operating_systems، مقادیر احتمالی عبارتند از: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
برای targets_type=browsers، مقادیر احتمالی عبارتند از: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
برای targets_type=devices، مقادیر احتمالی عبارتند از: Desktop, Mobile, Tablet, Watch, Television.
برای targets_type=languages، مقدار باید به فرمت ISO 639-1 alpha-2 باشد.
برای targets_type=continents، مقادیر احتمالی عبارتند از: AF برای Africa, AN برای Antarctica, AS برای Asia, EU برای Europe, NA برای North America, OC برای Oceania, SA برای South America.
targets[index][value]
نقطه پایانی API
https://je7.ir/api/v1/links/{id}
نمونه درخواست
curl --location --request PUT 'https://je7.ir/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 برای خیر, 1 برای بله.
privacy
0 برای عمومی, 1 برای خصوصی, 2 برای رمز عبور.
password
privacy تنظیم شده بر روی 2 کار میکند.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents برای Continents, countries برای Countries, operating_systems برای Operating systems, browsers برای Browsers, languages برای Languages, devices برای Devices, rotations برای Rotations.
targets[index][key]
برای targets_type=country، مقدار باید به فرمت ISO 3166-1 alpha-2 باشد.
برای targets_type=operating_systems، مقادیر احتمالی عبارتند از: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
برای targets_type=browsers، مقادیر احتمالی عبارتند از: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
برای targets_type=devices، مقادیر احتمالی عبارتند از: Desktop, Mobile, Tablet, Watch, Television.
برای targets_type=languages، مقدار باید به فرمت ISO 639-1 alpha-2 باشد.
برای targets_type=continents، مقادیر احتمالی عبارتند از: AF برای Africa, AN برای Antarctica, AS برای Asia, EU برای Europe, NA برای North America, OC برای Oceania, SA برای South America.
targets[index][value]
نقطه پایانی API
https://je7.ir/api/v1/links/{id}
نمونه درخواست
curl --location --request DELETE 'https://je7.ir/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'